$input-padding: 11px 16px;
@mixin input() {
  border: 1px solid #dae3e6;
  background: #f7f9fa;
  padding: 11px 16px;
  outline: none;
  box-shadow: none;
  width: 100%;
  color: $col-text-1;
  line-height: normal;
}
@mixin input-active() {
  background: #fff;
  border-color: $col5;
  color: $col-text-1;
}
.yy-input {
  @include input();
}
.yy-input-placeholder {
  padding: $input-padding;
  position: absolute;
  left: 0;
  top: 0;
  pointer-events: none;
  color: $col-text-2;
  opacity: 1;
  transition: opacity .3s;
  span {
    color: #278DCA;
  }
}
.yy-input-placeholder--hidden {
  opacity: 0;
}
.yy-input-text {
  @include input();
  display: inline-block;

  &:focus {
    @include input-active();
    &+.yy-input-placeholder {
      opacity: 0;
    }
  }
}
.yy-input-text--with-icon {
  padding-right: 44px;
}
.yy-input-text--with-icon__icon {
  position: absolute;
  top: 10px;
  right: 10px;
}
.yy-input--white {
  border: $border-1;
  background-color: #fff;
}
.yy-input-select {
  .nice-select {
    float: none;
    padding: 0;
    position: relative;
    border: none;
    font-size: inherit;
    &:after {
      display: none;
    }
    .selected {
      color: $col3;
      font-weight: normal;
    }
    li {
      padding: 11px 16px;
      line-height: 1;
      white-space: normal;
      &~li {
        border-top: $border-1;
      }
    }
    .list {
      position: absolute;
      left: auto;
      top: auto;
      border: $border-1;
      box-shadow: none;
      border-radius: 0;
      color: $col-text-1;
      max-height: 247px;
      overflow-y: auto;
      width: 100%;
      margin-top: 0;
      border-top: none;
      li:hover, li.option.selected.focus {
        background: $col4;
      }
    }
    .current {
      display: block;
      @include input();
      color: $col-text-2;
      position: relative;
      padding-right: 30px;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      &:after {
        content: '\e80d';
        font-family: 'fontello', sans-serif;
        display: block;
        position: absolute;
        right: 15px;
        top: 0;
        bottom: 0;
        height: 1em;
        margin: auto;
        transition: transform .2s;
        transform: rotate(0deg);
      }
    }
    &.open {
      .current {
        @include input-active();
        &:after {
          transform: rotate(180deg);
        }
      }
    }
  }
}
.yy-input-select--right {
  .nice-select {
    position: relative;
    .list {
      right: 0;
      text-align: right;
    }
  }
}
.yy-input-select--simple {
  .nice-select {
    position: relative;
    .list {
      color: $col-text-1;
      max-height: 247px;
      overflow-y: auto;
      border: $border-1;
    }
    .current {
      background: transparent;
      border: none;
      display: block;
      color: $col-text-2;
      text-transform: uppercase;
      font-size: 14px;
      padding-top: 18px;
      padding-bottom: 18px;
      padding-right: 35px;
      &:after {
        content: '\e805';
        color: $col-text-1;
        font-size: 18px;
        margin-left: 6px;
      }
    }
  }
}

.yy-input-range {
  position: relative;
  user-select: none;
}
.yy-input-range__labels {
}
.yy-input-range__label {
  display: inline-block;
  padding: 12px 10px;
  line-height: 1;
  width: 74px;
  font-size: 14px;
  border: 1px solid #48595e;
  outline: none;
  box-shadow: none;
  user-select: none;

}
.yy-input-range__label-separator {
  padding: 16px 6px;
  display: inline-block;
}
.yy-input-range__slider-container {
  margin-top: 16px;
  padding: 1px 0;
}
.yy-input-range__slider {
  width: 100%;
  background: #cccccc;
  height: 7px;
  margin: 8px 0;
  border-radius: 0;
  user-select: none;
}
.yy-input-range__bar {
  top: 0;
  background-color: #e15451;
  height: 7px;
  position: absolute;
  user-select: none;
}
.yy-input-range__grip {
  width: 24px;
  height: 23px;
  background-color: #00b0ea;
  position: absolute;
  z-index: 1;
  border-radius: 2px;
  top: -8px;
  padding: 0 4px;
  user-select: none;
}
.yy-input-range__grip-line {
  background: #fff;
  margin-top: 5px;
  height: 1px;
  user-select: none;
}
.yy-input-select--sharp {
  .nice-select .current {
    border: $border-2;
    background-color: #fff;
    color: $col-text-1;
    &:after {
      color: $col-text-2;
    }
  }
}
.yy-input-select--err {
  .nice-select .current {
    border-color: $col3;
    background-color: #fff;
    color: $col-text-1;
    &:after {
      color: $col-text-2;
    }
  }
}
.yy-input-select--red-type {
  .nice-select .current {
    border: $border-1;
    background-color: #fff;
    color: $col3;
    &:after {
      color: $col-text-2;
    }
  }
}
.yy-input--err {
  @include input-active();
  border-color: $col3;
}
